Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class PingTestRecord

    java.lang.Object
      rice.pastry.direct.TestRecord
          rice.pastry.testing.PingTestRecord

public class PingTestRecord
extends TestRecord

PingAddress A performance test suite for pastry.

Version:
  $Id: PingTestRecord.java,v 1.4 2005/06/09 21:54:09 jeffh Exp $
Author:
  Rongmei Zhang

Field Summary

Fields inherited from class rice.pastry.direct.TestRecord
`nNodes, nTests`

Constructor Summary
`PingTestRecord(int n, int k, int baseBitLength)` Constructor for PingTestRecord.

Method Summary
`void` | `addDistance(double rDistance)` Adds a feature to the Distance attribute of the PingTestRecord object
`void` | `addHops(int index)` Adds a feature to the Hops attribute of the PingTestRecord object
`void` | `doneTest()` DESCRIBE THE METHOD
`double` | `getAveDistance()` Gets the AveDistance attribute of the PingTestRecord object
`double` | `getAveHops()` Gets the AveHops attribute of the PingTestRecord object
`double[]` | `getProbability()` Gets the Probability attribute of the PingTestRecord object

Methods inherited from class rice.pastry.direct.TestRecord
`getNodeNumber, getTestNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PingTestRecord

    public PingTestRecord(int n,
                          int k,
                          int baseBitLength)

  Constructor for PingTestRecord.

Parameters:
  `n` - DESCRIBE THE PARAMETER
  `k` - DESCRIBE THE PARAMETER
  `baseBitLength` - DESCRIBE THE PARAMETER

Method Detail

### getAveHops

    public double getAveHops()

  Gets the AveHops attribute of the PingTestRecord object

  Returns:
    The AveHops value

### getAveDistance

    public double getAveDistance()

  Gets the AveDistance attribute of the PingTestRecord object

  Returns:
    The AveDistance value

### getProbability

    public double[] getProbability()

  Gets the Probability attribute of the PingTestRecord object

  Returns:
    The Probability value

### doneTest

    public void doneTest()

  DESCRIBE THE METHOD

  Specified by:
    `doneTest` in class `TestRecord`

### addHops

    public void addHops(int index)

  Adds a feature to the Hops attribute of the PingTestRecord object

  Parameters:
    `index` - The feature to be added to the Hops attribute

### addDistance

    public void addDistance(double rDistance)

  Adds a feature to the Distance attribute of the PingTestRecord object

  Parameters:
    `rDistance` - The feature to be added to the Distance attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.